当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 急救,急救,关于apt-get的急救,在线等
帖子发表于 : 2013-05-09 14:19 

注册: 2010-11-16 12:07
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
本人刚接触ubuntu,安装了12.04 desktop版,在添加了源后,命令行执行了sudo apt-get update,结果中途手贱,按了个ctrl+C,现在无论选哪个源,update后,都提示如下:
Fetched 17.2 MB in 25s (665 kB/s)
Reading package lists... Done
W: Duplicate sources.list entry http://mirror.lupaworld.com/ubuntu/ precise/multiverse i386 Packages (/var/lib/apt/lists/mirror.lupaworld.com_ubuntu_dists_precise_multiverse_binary-i386_Packages)
W: Duplicate sources.list entry http://mirror.lupaworld.com/ubuntu/ precise/multiverse i386 Packages (/var/lib/apt/lists/mirror.lupaworld.com_ubuntu_dists_precise_multiverse_binary-i386_Packages)
.
.
.
.
W: You may want to run apt-get update to correct these problems

按提示执行update无用,重启系统也还是这样,请问该如何解决
在线等


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 急救,急救,关于apt-get的急救,在线等
帖子发表于 : 2013-05-09 14:31 
头像

注册: 2009-12-12 19:29
帖子: 5059
地址: 随便一个地方
系统: 本地大型发行版除外
送出感谢: 0 次
接收感谢: 166
看下面的链接:
http://askubuntu.com/questions/183007/h ... ry-warning


_________________
Github见!


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 急救,急救,关于apt-get的急救,在线等
帖子发表于 : 2013-05-09 14:55 

注册: 2010-11-16 12:07
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
mraandtux 写道:



按照这个讲法做了,但是在sources.list.d目录下,没有文件,然后在sources.list里面删除了重复项,重新运行 sudo apt-get update没有报错了,但是在用apt-get安装文件时,直接提示E: Unable to correct problems, you have held broken packages. :em18


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 急救,急救,关于apt-get的急救,在线等
帖子发表于 : 2013-05-09 14:57 
头像

注册: 2009-12-12 19:29
帖子: 5059
地址: 随便一个地方
系统: 本地大型发行版除外
送出感谢: 0 次
接收感谢: 166
zhouhao1011 写道:
mraandtux 写道:



按照这个讲法做了,但是在sources.list.d目录下,没有文件,然后在sources.list里面删除了重复项,重新运行 sudo apt-get update没有报错了,但是在用apt-get安装文件时,直接提示E: Unable to correct problems, you have held broken packages.

看下面的链接:
http://ubuntuforums.org/showthread.php?t=2113213


_________________
Github见!


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 急救,急救,关于apt-get的急救,在线等
帖子发表于 : 2013-05-09 15:18 

注册: 2010-11-16 12:07
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
mraandtux 写道:
zhouhao1011 写道:
mraandtux 写道:



按照这个讲法做了,但是在sources.list.d目录下,没有文件,然后在sources.list里面删除了重复项,重新运行 sudo apt-get update没有报错了,但是在用apt-get安装文件时,直接提示E: Unable to correct problems, you have held broken packages.

看下面的链接:
http://ubuntuforums.org/showthread.php?t=2113213



谢谢,已解决,是安装包依赖性问题 :em06


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 急救,急救,关于apt-get的急救,在线等
帖子发表于 : 2013-05-09 17:59 
头像

注册: 2011-12-16 19:52
帖子: 61
送出感谢: 1
接收感谢: 0 次
能否这样:
终端:sudo rm /var/lib/apt/lists/* -vf

再:sudo apt-get update && sudo apt-get upgrade


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译